
_LANG =
	{
		COMMAND	= { 
			ENGLISH="inv"; 
			FRENCH="inv"; 
			GERMAN="*";  };
		USAGE	= { 
			ENGLISH="usage: /inv -- show Account's inventory window"; 
			FRENCH="usage: /inv -- affiche la fentre de l'inventaire de compte"; 
			GERMAN="*";  };
		NOTFOUND= { 
			ENGLISH="Not found"; 
			FRENCH="Introuvable"; 
			GERMAN="*";  };
		TOTAL= { 
			ENGLISH="Total: "; 
			FRENCH="Total: "; 
			GERMAN="*";  };
		BOURSE= { 
			ENGLISH="Wallet: "; 
			FRENCH="Bourse: "; 
			GERMAN="*";  };
		SHARED= { 
			ENGLISH="Shared storage"; 
			FRENCH="Stock partag"; 
			GERMAN="*";  };
		BAG= { 
			ENGLISH="Bag"; 
			FRENCH="Sac"; 
			GERMAN="*";  };
		VAULT= { 
			ENGLISH="Vault"; 
			FRENCH="Coffre"; 
			GERMAN="*";  };
		QTY= { 
			ENGLISH="Qty"; 
			FRENCH="Qt"; 
			GERMAN="*";  };
		SEARCH = { 
			ENGLISH="Search:"; 
			FRENCH="Rechercher:"; 
			GERMAN="*";  };
		ALLCHARACTERS= { 
			ENGLISH="All characters"; 
			FRENCH="Tous les personnages"; 
			GERMAN="*";  };
		SELBAG= { 
			ENGLISH="Bags"; 
			FRENCH="Sacs"; 
			GERMAN="*";  };
		SELCHAR= { 
			ENGLISH="Character:"; 
			FRENCH="Personnage:"; 
			GERMAN="*";  };
		SELVAULT= { 
			ENGLISH="Vault"; 
			FRENCH="Coffre"; 
			GERMAN="*";  };
		SELSHARED= { 
			ENGLISH="Shared storage"; 
			FRENCH="Stockage partag"; 
			GERMAN="*";  };
		SELWALLET= { 
			ENGLISH="Wallet"; 
			FRENCH="Bourse"; 
			GERMAN="*";  };
		SELALL= { 
			ENGLISH="All"; 
			FRENCH="Tout"; 
			GERMAN="*";  };
		SHAREDWALLET= { 
			ENGLISH="Shared wallet"; 
			FRENCH="Bourse partage"; 
			GERMAN="*";  };
		WINTITLE= { 
			ENGLISH="Global Inventory"; 
			FRENCH="Inventaire de compte"; 
			GERMAN="*";  };
		WALLET= { 
			ENGLISH="Wallet"; 
			FRENCH="Bourse"; 
			GERMAN="*";  };
	};



function getLang(l)
	local ret = {};
	for k,v in pairs(_LANG) do
		ret[k] = ToUTF8(v[l]);
		if ret[k]=="*" then
			ret[k] = ToUTF8(v["ENGLISH"]);
		end
		if ret[k]=="*" then
			ret[k] = ToUTF8(v["FRENCH"]);
		end
	end
	return ret;
end



