

-- Gestion du WALLET



gWallet={};
gWallet.wallet=gPlayer:GetWallet();
gWallet.data = Kiki.Commons.Settings(gPluginName.."_wallet", {} );
gWallet.data[gPlayerName] = {};
gWallet.data[gPlayerName][gLanguage] = {};

-- reset le wallet du joueur actuel
gWallet.Refresh = function()
	if gWallet.wallet ~=nil then
		local tmpIndex;
		for tmpIndex=1,gWallet.wallet:GetSize() do
			local tmpCurr=gWallet.wallet:GetItem(tmpIndex);
			gWallet.data[gPlayerName][gLanguage][tmpCurr:GetName()]={ name=tmpCurr:GetName() ; qty=tmpCurr:GetQuantity() ; backId=nil; iconId = tmpCurr:GetImage(); acc=tmpCurr:IsAccountItem();  };
		end
	end
end
gWallet.Dump = function()
	for k,v in pairs(gWallet.data[gPlayerName][gLanguage]) do
		Kiki.Commons.Trace(k .. "=" .. v.qty);
	end
end

-- filtrage
-- return une table de { desc: description; owner: nom-du-perso; type: vault|bag|wallet|shared; qty: #; iconId: #; backId: # }
gWallet.filter=function(res, name,text)
	for usr,wal in pairs(gWallet.data) do
		if name == nil or name==usr then 
			for name,d in pairs(wal[gLanguage]) do
				if (#d.name>0) and (text == nil or string.find(d.name, text ,1,true))  then
					-- Match.....
					-- Si l'item du wallet est SHARED, on ne retourne que celui qui est associ au personnage actuel !
					-- sinon, on retourne l'item avec le personnage qui match
					if d.acc == true then
						-- Item de wallet partag.... on ne prend que ceux de l'utilisateur actuel !
						if usr == gPlayerName then
							local v = { desc= d.name; owner=gLang.SHAREDWALLET; type="wallet"; qty=d.qty; iconId = d.iconId; backId=d.backId   }
							table.insert(res,v);
						end
					else
						-- Item spcialis qui match...
						local v = { desc= d.name; owner=usr.."\n("..gLang.WALLET..")"; type="bag"; qty=d.qty; iconId = d.iconId; backId=d.backId   }
						table.insert(res,v);
					end
				end 
			end
		end
	end
	return res;
end


gWallet.Unload = function()
	gWallet.data:Save(gPluginName.."_wallet");
end

-- Chargement
gWallet.Load = function()
	gWallet.Refresh();
end
